TikTok LIVE Anchors

Moderators

Manage moderators within the TikTok LIVE Anchors API. This section covers endpoints for working with moderators including retrieval, creation, and management operations.

Retrieve room moderators

GET/webcast/anchors/{anchor_id}/moderation/moderators

Retrieve the list of moderators in a livestream room.

Path Parameters

anchor_id*string

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

x-image-sourceenum

Where a scraped image URL should be served from. Selected per-request via the x-image-source header. Defaults to {@link RouteImageSource.ORIGIN}.

Responses

200Ok

Response Attributes

code*number (double)
messagestring
responseobject
||
Request
Response200

Add room moderator

PUT/webcast/anchors/{anchor_id}/moderation/moderators

Add a moderator in a livestream room.

Path Parameters

anchor_id*string

Query Parameters

to_user_id*string

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

200Ok

Response Attributes

code*number (double)
messagestring
responseobject
||
Request
Response200

Remove room moderator

DEL/webcast/anchors/{anchor_id}/moderation/moderators

Remove a moderator from a livestream room.

Path Parameters

anchor_id*string

Query Parameters

to_user_id*string

Header Parameters

One ofOne authentication header required
x-oauth-tokenstring

Access token from a 3rd-party Euler OAuth app.

x-cookie-headerstring

Raw TikTok cookies for direct authentication.

Responses

200Ok

Response Attributes

code*number (double)
messagestring
responseobject
||
Request
Response200